// java

package edu.washington.cac.calendar.data;

import edu.washington.cac.calendar.db.Caldata;

/** An object that corresponds to something in the database
  @author Greg Barnes
  @version 1.0
 */
public abstract class DBObject 
{
  /** Object to do db operations */
  private Caldata caldata;

  /** Set the Caldata object
   */
  public void setCaldata(Caldata caldata) {
    this.caldata = caldata;
  }

  /** Get the Caldata object.  Will create a new Caldata object if one
    was not previously set
   */
  protected Caldata getCaldata() {
    if (this.caldata == null) {
      this.caldata = new Caldata();
    }

    return this.caldata;
  }
}
