/*++Completed.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


import  java.util.Date;


/**
 * ICalendar Completed property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	4.8.2.1
 *   occurs:	0-1 (VTOD)
 *   datatypes:	date-time/utc (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)
 *</PRE>
 *
 * @author slh
 * @version 0.00 2002/03/06 slh
 */
public
class  Completed
extends  TimeProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  public
  Completed  (		)
  {
    super( Names.strProp_Completed , true );

    /*Note: important to do this early on*/
    m_TypeDefault = DATETIME;

    /*void*/setType( DATETIME );
  }


/*----------------------------------------------------------------------------
 *						Object Public Methods
 *--------------------------------------------------------------------------*/

  /**
   * Set date/time and value type.
   */
  public
  void
  set  (Date	date	,
	int	Type	)
  throws IllegalArgumentException
  {
    if (date == null) {
      throw new NullPointerException(
		getName(  ) +
		": date (Date) is null" );
    }
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be date-time" );
    }

    /*void*/super.set( date , Type );
  }


  /**
   * Set value type.
   */
  public
  void
  setType  (int		Type	)
  throws IllegalArgumentException
  {
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be date-time" );
    }

    /*void*/super.setType( Type );
  }


/*----------------------------------------------------------------------------
 *						Main
 *--------------------------------------------------------------------------*/

  static public
  void
  main  (String	argv[]	)
  {
    Completed	completed	= new Completed(  );
    /*void*/completed.set( new java.util.Date(  ) , DATETIME );
    /*void*/System.out.println( completed );
  }

}


/* Log:
 *  0.00  2002/03/06  slh
 *        create from Created
 */
/*--Completed.java----------------------------------------------------------*/
