/*++Created.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


import  java.util.Date;


/**
 * ICalendar Created property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	4.8.7.1
 *   occurs:	0-1 (VEVENT)
 *   datatypes:	date-time/utc (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)
 *</PRE>
 *
 * @author slh
 * @version 0.01 2002/03/06 slh
 */
public
class  Created
extends  TimeProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  public
  Created  (		)
  {
    super( Names.strProp_Created , true );

    /*Note: important to do this early on*/
    m_TypeDefault = DATETIME;

    /*void*/setType( DATETIME );
  }


/*----------------------------------------------------------------------------
 *						Object Public Methods
 *--------------------------------------------------------------------------*/

  /**
   * Set date/time and value type.
   */
  public
  void
  set  (Date	date	,
	int	Type	)
  throws IllegalArgumentException
  {
    if (date == null) {
      throw new NullPointerException(
		getName(  ) +
		": date (Date) is null" );
    }
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be date-time" );
    }

    /*void*/super.set( date , Type );
  }


  /**
   * Set value type.
   */
  public
  void
  setType  (int		Type	)
  throws IllegalArgumentException
  {
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be date-time" );
    }

    /*void*/super.setType( Type );
  }


/*----------------------------------------------------------------------------
 *						Main
 *--------------------------------------------------------------------------*/

  static public
  void
  main  (String	argv[]	)
  {
    Created	created		= new Created(  );
    /*void*/created.set( new java.util.Date(  ) , DATETIME );
    /*void*/System.out.println( created );
  }

}


/* Log:
 *  0.01  2002/03/05 - 2002/03/06  slh
 *        adjusted for new package location
 *        use Names
 *        javadoc comments
 *  0.00  2001/05/08 - 2001/05/09  slh
 *        create
 */
/*--Created.java------------------------------------------------------------*/
