/*++ProdId.java+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


/**
 * iCalendar PRODID property.
 *
 * <PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	4.7.3 [2445]
 *   occurs:	VCALENDAR(1)
 *   datatypes:	TEXT (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam(0+)
 * </PRE>
 *
 * @author  slh
 * @version  0.01 2002/12/18 slh
 */
public
class  ProdId
extends  TextProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a PRODID property, unset.
   */
  public
  ProdId  (		)
  {
    super( Names.strProp_ProdId );
  }


  /**
   * Create a PRODID property set to supplied value.
   */
  public
  ProdId  (String	strValue	)
  {
    super( Names.strProp_ProdId , strValue );
  }

}


/* Log:
 *  0.01  2002/12/18  slh
 *        redo constructors; comments
 *  0.00  2001/04/24 - 2001/04/25  slh
 *        create
 */
/*--ProdId.java-------------------------------------------------------------*/
