/*++TextParam.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


/**
 * Base class for iCalendar TEXT-valued parameters
 * (and base class for some other base classes).
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	4.3.11 [2445]
 *   allowed:	---
 *</PRE>
 *
 * @author  slh
 * @version  0.10 2002/12/10 slh
 */
abstract public
class  TextParam
extends  Parameter
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /*Note: attempting to use the default constructor is wrong*/


  /* this is the base constructor */
  /**
   * Create an TEXT parameter, unset.
   */
  protected
  TextParam  (String	strName	)
  {
    super( strName );
  }


  /**
   * Create a TEXT parameter set to supplied value.
   */
  protected
  TextParam  (String	strName		,
	      String	strValue	)
  {
    /*Note: letting calls handle any nulls*/

    this( strName );

    try {
      /*void*/set( strValue );
    } catch (Exception	e	) {
      throw new IllegalArgumentException( getName(  ) +
		": " + e.getLocalizedMessage(  ) );
    }
  }


/*----------------------------------------------------------------------------
 *						Object Public Methods
 *--------------------------------------------------------------------------*/

  public
  boolean
  isComplete  (		)
  {
    return m_strValue != null;
  }


  /**
   * Implementation: uses getString(), in support of possible subclasses
   */
  public
  String
  get  (		)
  {
    return getString(  );
  }


  public
  void
  set  (String	strValue	)
  throws Exception	/* to support subclasses */
  {
    m_strValue = strValue;
  }


  public
  String
  getString  (		)
  {
    return m_strValue;
  }


/*----------------------------------------------------------------------------
 *						Object Protected Variables
 *--------------------------------------------------------------------------*/

  protected  String	m_strValue	= null;

}


/* Log:
 *  0.10  2002/12/10  slh
 *        redo constructors
 *        isComplete()
 *        set(): allow null
 *        drop toString() (let super do with getString())
 *  0.00  2001/05/16 - 2001/05/17  slh
 *        create
 */
/*--TextParam.java----------------------------------------------------------*/
