package edu.washington.cac.myuw.servlet;

/**
  An object that calculates current memory usage
  */
public class Memory 
{
  /**
    @return the total memory available, in megabytes
   */
  public long getTotalMemory() 
  {
    return Runtime.getRuntime().totalMemory() / 1024 / 1000;
  }
    
  /**
    @return the free memory, in megabytes
   */
  public long getFreeMemory() 
  {
    return Runtime.getRuntime().freeMemory() / 1024 / 1000;
  }
    
  /**
    @return the used memory, in megabytes
   */
  public long getUsedMemory() 
  {
    return getTotalMemory() - getFreeMemory();
  }

  /**
    Print the current memory usage to a file
    @param log File to print to
   */
  public void printStatus(Log log) 
  {
    log.println("total memory: " + getTotalMemory() + ", free: " + 
                getFreeMemory() + ", used: " + getUsedMemory() + " mbytes");
  }
}
