package edu.washington.cac.myuw.util;

public class Coder {

  private Coder () { }
  
  private static final String leftp = "&#40;";
  private static final String rightp = "&#41;";
  private static final String dquote = "&#34;";
  private static final String amp = "&#38;";
  private static final String postrophe = "&#39;";
  private static final String lt = "&lt;";
  private static final String gt = "&gt;";

  public static String HTMLencode(String in) {
        if (in== null) {
            throw new IllegalArgumentException (
	      "Coder::HTMLencode null parameter.");
	}
      if(in.indexOf('"') != -1 ||
	 in.indexOf('\'') != -1 ||
	 in.indexOf('(') != -1 ||
	 in.indexOf(')') != -1 ||
	 in.indexOf('&') != -1 ||
	 in.indexOf('<') != -1 ||
	 in.indexOf('>') != -1) {

	StringBuffer result = new StringBuffer();

	for (int i=0; i < in.length(); i++) {

	        if (in.charAt(i) == '&') {
    	  	    result.append(amp);
    		} else if (in.charAt(i) == '"') {
    	  	    result.append(dquote);
    		} else if (in.charAt(i) == '\'') {
    	  	    result.append(postrophe);
    		} else if (in.charAt(i) == '<') {
    	  	    result.append(lt);
    		} else if (in.charAt(i) == '>') {
    	  	    result.append(gt);
      		} else if (in.charAt(i) == '(') {
      	  	    result.append(leftp);
      		} else if (in.charAt(i) == ')') {
      	  	    result.append(rightp);
      		} else {
      	  	    result.append(in.charAt(i));
      		}
	}
  
	return result.toString();
      } else {
	return in;
      }
  }

  public static String HtmlSave (String in) 
  {
    if (in== null) {
      throw new IllegalArgumentException 
	( "Coder::HTMLencode null parameter.");
    }
    if(in.indexOf('"') != -1 ||
       in.indexOf('\'') != -1 ||
       in.indexOf('(') != -1 ||
       in.indexOf(')') != -1 ||
       in.indexOf('<') != -1 ||
       in.indexOf('>') != -1) {

      StringBuffer result = new StringBuffer();

      for (int i=0; i < in.length(); i++) {
	
      if (in.charAt(i) == '"') {
	result.append(dquote);
      } else if (in.charAt(i) == '\'') {
	result.append(postrophe);
      } else if (in.charAt(i) == '<') {
	result.append(lt);
      } else if (in.charAt(i) == '>') {
	result.append(gt);
      } else if (in.charAt(i) == '(') {
	result.append(leftp);
      } else if (in.charAt(i) == ')') {
	result.append(rightp);
      } else {
	result.append(in.charAt(i));
      }
      }
  
      return result.toString();
    } else {
      return in;
    }
  }
  
  private static final String sq = "%27";
  
  // encode single quote and space in a URL string
  public static String SQencode(String in) {
    if (in== null) {
      throw new IllegalArgumentException(
					 "Coder::SQencode null parameter.");
    }

    if(in.indexOf('\'') != -1 ||
       in.indexOf(' ') != -1) {
      StringBuffer result = new StringBuffer(in.length() * 4);
    
      for (int i=0; i < in.length(); i++) {
	if (in.charAt(i) == '\'') {
	  result.append(sq);
	}else if (in.charAt(i) == ' ') {
	  result.append('+');
	} else {
	  result.append(in.charAt(i));
	}
      }

      //System.err.println("SQencode: " + result.toString());
      return result.toString();
    } else {
      return in;
    }
  }
}
