// java

package pubevents;

/** Common constants for Public Events Calendar
    @author Leman Chung, Greg Barnes
    @version 1.4
  */
public class PEDefaults 
{
    private PEDefaults() { }

    public static final String EMAIL = "myuw@u.washington.edu";

    public static final String APP_NAME = "Events Calendar";
    private static final String HTML_DIR = "/pubevents";
    public static final String LOGIN_URL = HTML_DIR + "/index.html";
    public static final String WELCOME_URL = LOGIN_URL;
    public static final String MENU_URL = "pubevents.menu.Menu";

    static final String ABOUT_URL = HTML_DIR + "/about.html";

// administrator

    public static final String ADMIN_LOGIN_URL = HTML_DIR + "/admin.html";
    public static final String ADMIN_WELCOME_URL = ADMIN_LOGIN_URL;
    public static final String ADMIN_MENU_URL = 
      "pubevents.menu.AdminMenu";

// template files
  /* 
    Specify as relative to the classes, and thus in a way suitable for
    loading as resources
   */
  /** Directory containing the templates */
  public static final String TEMPLATE_PATH = "/pubevents/templates/";

    public static final String HEADER = TEMPLATE_PATH + "header.html";
    public static final String FOOTER = TEMPLATE_PATH + "footer.html";
    public static final String BACK_TO_MENU = TEMPLATE_PATH + "backToMenu.html";
    public static final String BACK_TO_ADMIN_MENU = TEMPLATE_PATH + "backToAdminMenu.html";
    public static final String DELETE_EVENTS = TEMPLATE_PATH + "deleteEvents.html";
    public static final String EVENT_ADDED = TEMPLATE_PATH + "eventAdded.html";
    public static final String EVENT_ENTRY_FORM = TEMPLATE_PATH + "eventEntryForm.html";
    public static final String EVENT_UPDATED = TEMPLATE_PATH + "eventUpdated.html";
    public static final String PEVENTS_MENU = TEMPLATE_PATH + "peventsMenu.html";
    public static final String RETRIEVE_AN_EVENT = TEMPLATE_PATH + "retrieveAnEvent.html";
    public static final String TO_BE_UPDATED_EVENTS = TEMPLATE_PATH + "toBeUpdatedEvents.html";
    public static final String UPDATE_EVENTS = TEMPLATE_PATH + "updateEvents.html";

    public static final String ADMIN_MENU = TEMPLATE_PATH + "adminMenu.html";
    public static final String UPDT_AS_USER = TEMPLATE_PATH + "updtAsUser.html";
    public static final String UPDT_VIA_DATES = TEMPLATE_PATH + "updtViaDates.html";
    public static final String ADMIN_UPDT_EVENTS = TEMPLATE_PATH + "adminUpdtEvents.html";
    public static final String ADMIN_EVENT_UPDATED = TEMPLATE_PATH + "adminEventUpdated.html";
    public static final String ADMIN_DEL_EVENTS = TEMPLATE_PATH + "adminDelEvents.html";
    public static final String NOT_YET_AUTHORIZED = TEMPLATE_PATH + "notYetAuthorized.html";
    public static final String NOT_AN_ADMIN = TEMPLATE_PATH + "notAnAdmin.html";
    public static final String ADD_USERS = TEMPLATE_PATH + "addUsers.html";
    public static final String USER_ADDED = TEMPLATE_PATH + "userAdded.html";
    public static final String DELETE_USERS = TEMPLATE_PATH + "deleteUsers.html";
    public static final String USER_DELETED = TEMPLATE_PATH + "userDeleted.html";
    public static final String DATE_RANGE = TEMPLATE_PATH + "dateRange.html";

// alerts
    public static final String ALERT_TITLE = "UW Community Alerts: ";
    public static final String ADD_ALERTS = TEMPLATE_PATH + "addAlerts.html";
    public static final String ALERT_ADDED = TEMPLATE_PATH + "alertAdded.html";
    public static final String UPDT_ALERTS_LIST = TEMPLATE_PATH + "updtAlertsList.html";
    public static final String ALERT_UPDATED = TEMPLATE_PATH + "alertUpdated.html";
    public static final String DEL_ALERTS_LIST = TEMPLATE_PATH + "delAlertsList.html";

  /** host that handles alert updates */
  public static final String ALERT_HOST = "myuwcalb.u.washington.edu";
  /** port that handles alert updates */
  public static final int ALERT_PORT = 3085;

// search events
    public static final String SEARCH_EVENTS = TEMPLATE_PATH + "searchEvents.html";
    public static final String SEARCH_BY_DATE = TEMPLATE_PATH + "searchByDate.html";
    public static final String FOOTER_NO_LOGOUT = TEMPLATE_PATH + "footerNoLogout.html";

    public static final String NEWSHEADER = TEMPLATE_PATH + "newsheader.html";
    public static final String NEWSFOOTER = TEMPLATE_PATH + "newsfooter.html";
    public static final int DISPLAY_LIMIT = 50;

  /** Function to add an event */
  public static final String ADD_FUNCTION = "add";

  /** Function to update an event */
  public static final String UPDATE_FUNCTION = "update";

  /** Function to update an event as an administrator */
  public static final String ADMIN_UPDATE_FUNCTION = "adminUpdate";

  /** Common string in titles */
  private static final String A_PUBLIC_EVENT = "a Public Event";

  /** Title of a page with a form that can add an event */
  public static final String ADD_EVENT_TITLE = "Add " + A_PUBLIC_EVENT;

  /** Title of a page with a form that can update an event */
  public static final String UPDATE_EVENT_TITLE = "Update " + A_PUBLIC_EVENT;

  /** Name of the template parameter that should be substituted with the
     URL for category help
   */
  public static final String CATEGORY_HELP_URL = "categoryHelpUrl";
}
