package pubevents.addevents;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import pubevents.PEDefaults;
import pubevents.NotAdminServlet;
import pubevents.updtevents.EventFormDisplayer;

/** Display an existing event that will be modified to become a new event. 
  
  @author Greg Barnes
  @version 3.0
 */
public class DisplayOldEvent extends NotAdminServlet 
{
  /** Print out the form for an event
    @param req The HTTP request object
    @param resp The HTTP response object
    @exception IOException If there's a problem getting the event or printing
       it out
   */
  public void performAction(HttpServletRequest req, HttpServletResponse resp)
      throws SQLException, IOException 
  {
    new EventFormDisplayer(req, resp, PEDefaults.ADD_FUNCTION, 
                           PEDefaults.BACK_TO_MENU, 
                           PEDefaults.ADD_EVENT_TITLE).displayFromDB();
  }
}
