package pubevents.addevents;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.calendar.CalParameter;

import uwcal.out.WebResources;

import pubevents.NotAdminServlet;
import pubevents.PEDefaults;
import pubevents.util.ConvertRoutines;
import pubevents.util.PrintWebPage;

/** Bring up public events data entry form.
  
  @author Leman Chung
  @version 2.0
 */
public class PubEventEntry extends NotAdminServlet 
{
  public void performAction(HttpServletRequest req, HttpServletResponse res)
         throws IOException {

    String templateFile = PEDefaults.EVENT_ENTRY_FORM;

    PrintWriter out = res.getWriter();

    String html_title = "Add A Public Event";
    String uptype = "add";
    String currYear = new ConvertRoutines().getCurrYear();

        // read and print out new Form
    BufferedReader in = new BufferedReader(new InputStreamReader(
            this.getClass().getResourceAsStream(templateFile)));
    
    String aline = in.readLine(); //IOException
    while (aline !=null) {
      if (aline.startsWith("%%%html_title")) {
        out.println(html_title);
      } else if (aline.startsWith("%%%" + PEDefaults.CATEGORY_HELP_URL)) {
        out.println(WebResources.categoryHelpUrl());
      } else if (aline.startsWith("%%%" + CalParameter.FUNCTION)) {
        out.println(uptype);
      } else if (aline.startsWith("%%%sel_syear_" + currYear)) {
        out.println("selected");
      } else if (aline.startsWith("%%%sel_eyear_" + currYear)) {
        out.println("selected");
      } else if (aline.startsWith("%%%")) {
        // skip this line
      } else {
        out.println(aline);
      }

      aline = in.readLine();
    }
    in.close();
    out.close();
  }
}
