package pubevents.delevents;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.ResultSet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.calendar.CalParameter;
import pubevents.AdminServlet;
import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.util.ConvertRoutines;

/** event creator id or event date rage entry form.
  
  @author Leman Chung
  @version 2.0
 */
public class DelAsUser extends AdminServlet 
{
  public void performAction(HttpServletRequest req, HttpServletResponse res)
         throws IOException {

    ResultSet rs = null;

    String template_UpdtAsUser = PEDefaults.UPDT_AS_USER;
    String template_UpdtViaDates = PEDefaults.UPDT_VIA_DATES;
    String templateFile;

    PEParameter pep = new PEParameter(req);
    PrintWriter out = res.getWriter();
    BufferedReader in;

    if (pep.getFunction().indexOf("NetID") != -1) {
        templateFile = template_UpdtAsUser;
        in = new BufferedReader(new InputStreamReader(
                this.getClass().getResourceAsStream(templateFile)));

        delAsUser(in, out);
    } else {
        templateFile = template_UpdtViaDates;
        in = new BufferedReader(new InputStreamReader(
                this.getClass().getResourceAsStream(templateFile)));

        delViaDates(in, out);
    }

    in.close();
    out.close();
  }

  public void delAsUser(BufferedReader in, PrintWriter out) throws IOException
  {
        String aline = in.readLine(); // IOException
        while (aline != null) {
          if (aline.startsWith("%%%html_title")) {
              out.println("Events Calendar: Delete as another user");
          } else if (aline.startsWith("%%%action")) {
              out.println("\"pubevents.delevents.AdminListDeletes\"");
          } else if (aline.startsWith("%%%" + CalParameter.FUNCTION)) {
              out.println("\"delete\"");
          } else if (aline.startsWith("%%%")) {
              // skip this line
          } else {
              out.println(aline);
          }
          aline = in.readLine();
        }
  }

  public void delViaDates(BufferedReader in, PrintWriter out) throws IOException {
        String currYear = new ConvertRoutines().getCurrYear();

        String aline = in.readLine();   // IOException
        while (aline != null) {
          if (aline.startsWith("%%%html_title")) {
              out.println("Events Calendar: Delete Other People's Public Events via Date Range");
          } else if (aline.startsWith("%%%action")) {
              out.println("\"pubevents.delevents.AdminDelViaDates\"");
          } else if (aline.startsWith("%%%" + CalParameter.FUNCTION)) {
              out.println("\"delete\"");
          } else if (aline.startsWith("%%%sel_smon_None")) {
              out.println("selected");
          } else if (aline.startsWith("%%%sel_emon_None")) {
              out.println("selected");
          } else if (aline.startsWith("%%%sel_syear_" + currYear)) {
              out.println("selected");
          } else if (aline.startsWith("%%%sel_eyear_" + currYear)) {
              out.println("selected");
          } else if (aline.startsWith("%%%")) {
              // skip this line
          } else {
              out.println(aline);
          }
          aline = in.readLine();
        }
  }
} // the end.
