package pubevents.delevents;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.ResultSet;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.calendar.db.Fields;
import edu.washington.cac.calendar.db.Tables;
import pubevents.NotAdminServlet;
import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.addevents.SqlStatements;
import pubevents.util.PrintErrorMessage;
import pubevents.util.PrintWebPage;

/** list events to select for deletion.
  
  @author Leman Chung
  @version 2.0
 */
public class ListDeletes extends NotAdminServlet 
{
    private BufferedReader in;
    PrintWriter out;

    private int eventid;
    ResultSet rs = null;

    private String templateFile = PEDefaults.DELETE_EVENTS;
    private String templateFooter = PEDefaults.FOOTER;
    private String templateBackToMenu = PEDefaults.BACK_TO_MENU;

  public void performAction(HttpServletRequest req, HttpServletResponse res)
         throws IOException {

    out = res.getWriter();
    SqlStatements sqlstmts = new SqlStatements ();

    // 

    try {
        String qry_statement = "select " 
                               + Fields.EEVENT_ID.getSelectName() + ", " 
                               + Fields.ESTARTDATE.getSelectName() + ", " 
                               + Fields.EENDDATE.getSelectName() + ", "
                               + Fields.ESHORTDESC.getSelectName() + ", "
                               + Fields.ELONGDESC.getSelectName() + ", "
                               + Fields.ELONGDESC1.getSelectName() + " from "
                               + Tables.EVENTS.getName() + ", "
                               + Tables.EVENTKEYWORDS.getName() + ", "
                               + Tables.KEYWORDS.getName() + " where "
                               + Fields.EPUBLIC.getStmtName() + "=\'T\' and "
                               + Fields.ECREATOR.getStmtName() + "=\'" 
                               + getUid() + "\' and " 
                               + Fields.EEVENT_ID.getStmtName() + "=" 
                               + Fields.EKEVENT_ID.getStmtName() + " and "
                               + Fields.EKKEYWORD_ID.getStmtName() + "="
                               + Fields.KKEYWORD_ID.getStmtName() + " and " 
                               + Fields.KWORD.getStmtName() 
                               + " != \'Alerts\' order by " 
                               + Fields.ESTARTDATE.getStmtName() + " desc;";
        rs = sqlstmts.executeQuery(qry_statement);
    } catch (Exception e) {
        e.printStackTrace(System.err);
        System.err.println(e.getMessage());
        new PrintErrorMessage().printErrorAndClose(out, "ERROR: " + e.getMessage(), templateBackToMenu);
        return;
    }

    try {
    	if (!rs.next()) {
            // print out no event to delete error message.
            out.println("<br><br><b>No events created by user " + getUid() + " existed!</b>");
            new PrintWebPage(templateBackToMenu, out);
            out.close();
            return;
    	} else {
            new PrintWebPage(templateFile, out);  // print out header
            do {
                 // print out start-end dates, title and description.
                 // out.print("<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;</td>");
                 // add checkbox over here
                out.println("<tr><td><input type=\"checkbox\" name=\"" + PEParameter.EVENT_IDS + "\" value=\"" + rs.getString(Fields.EEVENT_ID.getName()) + "\"></td>");
                out.println("<td>" + rs.getDate(Fields.ESTARTDATE.getName()) + "</td>");
                out.println("<td>" + rs.getDate(Fields.EENDDATE.getName()) + "</td>");
                out.println("<td>" + rs.getString(Fields.ESHORTDESC.getName()) + "</td>");
                out.print("<td>" + Fields.getEventLongdesc(rs));
                out.println("</td></tr>");
            } while (rs.next());
            out.println("<tr><td></td><td></td><td></td><td></td></tr>");
            out.println("<tr><td></td><td></td>");
            out.println("<td><input type=\"submit\" value=\"Submit\"></td>");
            out.println("<td><input type=\"reset\" value=\"Clear\"></td>");
            out.println("<td></td></tr>");
    	}
    } catch (Exception e) {
        e.printStackTrace(System.err);
        System.err.println(e.getMessage());
        new PrintErrorMessage().printErrorAndClose(out, "ERROR: " + e.getMessage(), templateBackToMenu);
        return;
    } finally {
      sqlstmts.close();
    }
    out.println("</table></form>");
    new PrintWebPage(templateFooter, out);
    out.close();
  }
} // the end.
