package pubevents.extractdata;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import pubevents.AdminServlet;
import pubevents.PEDefaults;
import pubevents.util.ConvertRoutines;

/** date ranges entry form for extracting data for UWEEK.
  
  @author Leman Chung
  @version 2.0
 */
public class ExtractDataDForm extends AdminServlet 
{
  public void performAction(HttpServletRequest req, HttpServletResponse res)
         throws IOException {

    PrintWriter out = res.getWriter();

    String templateFile = PEDefaults.DATE_RANGE;
    String html_title = "Events Calendar: Extract data for University Week.";
    String error_msg = "";

    String currYear = new ConvertRoutines().getCurrYear();

        // read and print out new Form
    BufferedReader in = new BufferedReader(new InputStreamReader(
            this.getClass().getResourceAsStream(templateFile)));

    String aline = in.readLine(); //IOException
    while (aline !=null) {
       if (aline.startsWith("%%%html_title")) {
              out.println(html_title);
       } else if (aline.startsWith("%%%error_msg")) {
              out.println(error_msg);
       } else if (aline.startsWith("%%%sel_smon_None")) {
              out.println("selected");
       } else if (aline.startsWith("%%%sel_emon_None")) {
              out.println("selected");
       } else if (aline.startsWith("%%%sel_syear_" + currYear)) {
              out.println("selected");
       } else if (aline.startsWith("%%%sel_eyear_" + currYear)) {
              out.println("selected");
       } else if (aline.startsWith("%%%")) {
              // skip this line
       } else {
         out.println(aline);
       }
       aline = in.readLine();
    }
    in.close();
    out.close();
  }
}
