package pubevents.updtalerts;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import pubevents.AdminServlet;
import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.util.PrintWebPage;
import pubevents.updtevents.EventFormDisplayer;

/** Display the selected alert to update.
  
  @author Leman Chung
  @version 2.0
 */
public class UpdtAlertsDisplay extends AdminServlet 
{
  public void performAction(HttpServletRequest req, HttpServletResponse res)
                 throws IOException {

    String templateFile = PEDefaults.ADD_ALERTS;
    String templateBackToMenu = PEDefaults.BACK_TO_ADMIN_MENU;

    PEParameter pep = new PEParameter(req);

    if (pep.getEventID() == edu.washington.cac.calendar.data.Cacheable.NO_ID) {
       PrintWriter out = res.getWriter();
       out.println("<br><br><b>No alert has been selected to update.</b><br>");
       new PrintWebPage(templateBackToMenu, out);
       out.close();
       return;
    }

    EventFormDisplayer efd = new EventFormDisplayer(req, res, "update", templateBackToMenu, "Update An Alert", null, templateFile);
    try {
       efd.displayAlertFromDB();
    } catch (SQLException e) {
       PrintWriter out = res.getWriter();
       out.println("<br><br><b>" + e.getMessage() + "</b><br>");
       new PrintWebPage(templateBackToMenu, out);
       out.close();
       return;
    }
  }
}
