package uwcal;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.CalLogFactory;

import edu.washington.cac.myuw.servlet.ServletSupport;
import edu.washington.cac.myuw.servlet.UWServlet;
import edu.washington.cac.myuw.servlet.session.InvalidSession;

import uwcal.out.CalMessageMaker;
import uwcal.out.WebResources;

/** An object to help UWCal servlets
 @version 1.0
 @author Greg Barnes
*/
public class CalServletSupport extends ServletSupport {
  /** Constructor 
    @param id Printable id of the servlet 
   */
  public CalServletSupport(String id) 
  {
    super(id, new CalMessageMaker(), new CalLogFactory(), true);
  }

  /** Take care of an exceptional condition
    @param e The Exception
    @param req The HTTP request object
    @param resp The HTTP response object
    @exception IOException If there's a problem writing the response
   */
  public void handleException(Throwable e, 
                              HttpServletRequest req,
                              HttpServletResponse resp)
      throws IOException
  {
    if (e instanceof InvalidSession && e.getMessage() == null &&
        new CalParameter(req).isUserFunction()) 
    {
      UWServlet.sendRedirect(req, resp, 
          WebResources.LOGIN_URL + "?" + req.getQueryString(), true, false);
    } else {
      super.handleException(e, resp);
    }
  }
}
