package uwcal.guestlogin;

import java.util.Random;
import javax.servlet.http.HttpServletRequest;

import edu.washington.cac.myuw.servlet.Log;

import edu.washington.cac.calendar.CalProperties;
import edu.washington.cac.calendar.data.User;

import uwcal.CalLoginServlet;
import uwcal.CalSession;

/**
  Login as a guest
  @author Greg Barnes, slh
  @version 1.2
 */
public class GuestLogin extends CalLoginServlet  
{
    private static final String NAME = "CalGuestLogin";

    protected boolean forceHttps() {
        return false;
    }

    protected String getName() {
        return NAME;
    }

  /**
    Get the user (guest) of the application, or abort if guest users
    shouldn't log in to this application
    @param req HTTP request object
    @exception IllegalStateException if guests aren't allowed
   */
  protected User getUser(HttpServletRequest req) throws IllegalStateException
  {
    if (!CalProperties.defaultIsGuest()) {
      throw new IllegalStateException("No guest logins allowed");
    }

    return new User(new Random().nextInt() + "", true);
  }

    protected void startSession(CalSession session,
                                Log log,
                                User user)
      throws Exception
    {
        session.startGuest(log);
    }

    public String getServletInfo() {
        return "GuestLogin servlet: Start Guest Session and redirect";
    }
}
