// java

package uwcal.out;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.EventsI;
import edu.washington.cac.calendar.data.User;

import uwcal.out.forms.CalendarForm;
import uwcal.out.forms.AddKeywordForm;

/**
  A form to add a keyword
  @author Greg Barnes
  @version 1.1
 */
public class AddKeyword extends EntityPage 
{
  /**
    Create a new instance
    @param es User's events cache
    @param message Message to display at the top
    @param view View to return to when we're done
   */
  AddKeyword(EventsI es, 
             String message, Timeview view) 
  {
    super(es, message, view, DisplayText.ADD_KEYWORD_TITLE);
  }

  /**
    Get the form used by this page
    @return the form used by this page
   */
  protected CalendarForm getForm()
  {
    return new AddKeywordForm(this);
  }

  /**
    Get the URL to add a keyword
    @param mc Current day
    @param page Page this URL appears in
    @return the URL to add a keyword
   */
  public static String url(MyCalendar mc, Page page) 
  {
    return EntityPage.url(CalParameter.ENTERKEYWORD_FUNC, mc, page);
  }
}
