// java

package uwcal.out;

import java.sql.SQLException;

import org.apache.ecs.Element;
import org.apache.ecs.html.Table;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.CaldataException;
import edu.washington.cac.calendar.data.EventsI;
import edu.washington.cac.calendar.data.User;

/**
  An object that prints the month in a month view
  @author Greg Barnes
  @version 1.1
 */
public class BigMonthPrinter extends GridEventPrinter 
{
  /**
    Create a new instance
    @param mc today
    @param user The application's user
    @param es The user's events
    @param view View this printer is a part of
   */
  protected BigMonthPrinter(MyCalendar mc, User user, EventsI es, Timeview view)
  {
    super(mc, es, new SimpleEventList(new MonthEventPrinter(user, mc, view)));
  }

  /**
    get a month of events
    @return the month, as HTML
    @exception SQLException if there's a problem with the database
    @exception CaldataException if the database has bad data
   */
  public Element print() throws SQLException, CaldataException
  {
    return new Table().setWidth("100%").
           addElement(dayNames()).addElement("\n").
           addElement(new BigMonth(mc, es, this).monthGrid()).addElement("\n");
  }
}
