// java

package uwcal.out;

import edu.washington.cac.calendar.filter.Filter;
import edu.washington.cac.calendar.filter.SearchFilter;
import edu.washington.cac.calendar.filter.SelectAllFilter;
import edu.washington.cac.myuw.util.Coder;

import uwcal.CalProfile;

/**
  A user-readable list of the current filters for a guest user
  @author Greg Barnes
  @version 1.0
 */
public class FilterMessage 
{
  /** The filter to printer */
  private Filter filter;

  /** Create a new instance
    @param filter The filter to print
   */
  FilterMessage(Filter filter)
  {
    this.filter = filter;
  }

  /**
    Get the user-readable list of the current filters
    @return the user-readable list of the current filters
   */
  String getMessage()
  {
    if (this.filter instanceof SearchFilter) {
      return DisplayText.FILTER_LIST_START + Coder.HTMLencode(filter.getName());
    } else {
      return DisplayText.CALENDAR_FILTER_START + 
             Coder.HTMLencode(filter.getName());
    }
  }
}
