// java

package uwcal.out;

import org.apache.ecs.Element;
import org.apache.ecs.html.Table;
import org.apache.ecs.html.TD;
import org.apache.ecs.html.TR;

/**
  A message for the user
  @author Greg Barnes
  @version 1.0
 */
public class Message 
{
  private String message;

  public Message(String message) 
  {
    this.message = message;
  }

  public TD asTableCell() 
  {
    return (TD) (new TD().addElement(asTable()).
        setColSpan(Page.BUTTONROW_CELLS).setID(Style.STATUS_CELL));
  }

  public Element asTable() 
  {
    return new Table().addElement(new TR().
        addElement(new TD().addElement(message).setID(Style.STATUS))).
        setCellSpacing(2).setCellPadding(1).
        setID(Style.STATUS_TABLE);
  }

  public String asTableText() 
  {
    return asTable().toString();
  }
}
