// java

package uwcal.out.forms;

import edu.washington.cac.calendar.MyCalendar;

  /**
	An object to handle the complexity of having 'same' values
	in the end date fields.
   */
class EndSameWidget extends SameWidget {
    private MyCalendar startcal, endcal;

    EndSameWidget(java.util.Date startdate, java.util.Date enddate) {
	if (startdate == null) {
	    startcal = new MyCalendar();
	} else {
	    startcal = new MyCalendar(startdate);
	}

	if (enddate == null) {
	    endcal = startcal;
	} else {
	    endcal = new MyCalendar(enddate);
   	}
    }
 
    boolean useSame() {
	return true;
    }

    boolean sameMonth() {
	return startcal.month() == endcal.month();
    }

    boolean sameDay() {
	return startcal.day() == endcal.day();
    }

    boolean sameYear() {
	return startcal.year() == endcal.year();
    }
}
